/* .wp-admin .is-style-gallery-carousel,
.wp-admin .is-style-gallery-carousel-mosaic { */
.wp-admin .is-style-gallery-carousel {
  display: flex;
}
.is-style-gallery-carousel-2 .glide__track {
  border-radius: 0 0 100px 0;
  overflow: hidden;
}
/* .is-style-gallery-carousel,
.is-style-gallery-carousel-mosaic { */
.is-style-gallery-carousel {
  padding-left: var(--wp--style--root--padding-left);
}

@media screen and (min-width: 1280px) {
  /* .is-style-gallery-carousel,
  .is-style-gallery-carousel-mosaic { */
  .is-style-gallery-carousel {
    max-width: calc(
      var(--wp--style--global--wide-size) +
        calc((100% - var(--wp--style--global--wide-size)) / 2) +
        var(--wp--style--root--padding-right)
    ) !important;
    margin-left: calc(
      (100% - var(--wp--style--global--wide-size)) / 2
    ) !important;
  }
}

@media screen and (min-width: 1420px) {
  /* .is-style-gallery-carousel,
  .is-style-gallery-carousel-mosaic { */
  .is-style-gallery-carousel {
    padding-left: 0;
  }
}

.is-style-gallery-carousel
  .blocks-gallery-grid
  .blocks-gallery-image:not(
    .wp-admin
      .is-style-gallery-carousel
      .blocks-gallery-grid
      .blocks-gallery-image
  ),
.is-style-gallery-carousel
  .blocks-gallery-grid
  .blocks-gallery-item:not(
    .wp-admin
      .is-style-gallery-carousel
      .blocks-gallery-grid
      .blocks-gallery-item
  ),
.is-style-gallery-carousel.wp-block-gallery
  .blocks-gallery-image:not(
    .wp-admin .is-style-gallery-carousel.wp-block-gallery .blocks-gallery-image
  ),
.is-style-gallery-carousel.wp-block-gallery
  .blocks-gallery-item:not(
    .wp-admin .is-style-gallery-carousel.wp-block-gallery .blocks-gallery-item
  ),
.is-style-gallery-carousel.wp-block-gallery
  .wp-block-image:not(
    .wp-admin .is-style-gallery-carousel.wp-block-gallery .wp-block-image
  ),
.is-style-gallery-carousel-mosaic
  .blocks-gallery-grid
  .blocks-gallery-image:not(
    .wp-admin
      .is-style-gallery-carousel-mosaic
      .blocks-gallery-grid
      .blocks-gallery-image
  ),
.is-style-gallery-carousel-mosaic
  .blocks-gallery-grid
  .blocks-gallery-item:not(
    .wp-admin
      .is-style-gallery-carousel-mosaic
      .blocks-gallery-grid
      .blocks-gallery-item
  ),
.is-style-gallery-carousel-mosaic.wp-block-gallery
  .blocks-gallery-image:not(
    .wp-admin
      .is-style-gallery-carousel-mosaic.wp-block-gallery
      .blocks-gallery-image
  ),
.is-style-gallery-carousel-mosaic.wp-block-gallery
  .blocks-gallery-item:not(
    .wp-admin
      .is-style-gallery-carousel-mosaic.wp-block-gallery
      .blocks-gallery-item
  ),
.is-style-gallery-carousel-mosaic.wp-block-gallery
  .wp-block-image:not(
    .wp-admin .is-style-gallery-carousel-mosaic.wp-block-gallery .wp-block-image
  ) {
  width: 100% !important;
}

.is-style-gallery-carousel figure a,
.is-style-gallery-carousel-2 figure a,
.is-style-gallery-carousel-mosaic figure a {
  pointer-events: none;
}

.is-style-gallery-carousel figure .wp-element-caption,
.is-style-gallery-carousel-2 figure .wp-element-caption,
.is-style-gallery-carousel-mosaic figure .wp-element-caption {
  border-radius: 0 0 var(--wp--custom--border-radius--default) 0;
  background: var(--wp--preset--color--background) !important;
  max-width: max-content;
  margin-top: 0 !important;
  margin-bottom: 0 !important;
  padding: 0.25rem 0.5rem !important;
  text-shadow: none !important;
  color: var(--wp--preset--color--primary) !important;
  bottom: unset !important;
  top: 0 !important;
}

.is-style-gallery-carousel .glide__slide img,
.is-style-gallery-carousel-2 .glide__slide img {
  display: block;
  aspect-ratio: 3/2;
  object-fit: cover;
  transform-origin: center;
  will-change: transform;
}

.is-style-gallery-carousel .glide__slide figure,
.is-style-gallery-carousel-2 .glide__slide figure,
.is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__image-wrap {
  overflow: hidden;
}

.is-style-gallery-carousel .gallery-carousel__arrows,
.is-style-gallery-carousel-2 .gallery-carousel__arrows,
.is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__arrows {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: 0.25rem;
  margin-top: 0.75rem;
  padding: 0 0.5rem;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.is-style-gallery-carousel-2 .gallery-carousel__arrows {
  bottom: 0;
  top: inherit;
  transform: inherit;
  justify-content: start;
  padding: 0.5rem;
}
.is-style-gallery-carousel .gallery-carousel__arrows .glide__arrow,
.is-style-gallery-carousel-2 .gallery-carousel__arrows .glide__arrow,
.is-style-gallery-carousel-mosaic
  .mosaic-gallery-carousel__arrows
  .glide__arrow {
  cursor: pointer;
  border: 1px solid var(--wp--preset--color--white);
  background: var(--wp--preset--color--white);
  color: inherit;
  padding: 0.35rem;
  border-radius: 999px;
  display: flex;
  align-items: center;
}

.is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__mosaic {
  display: grid;
  grid-template-columns: 1fr;
  gap: 0.25rem;
  height: 100%;
}

.is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__col {
  display: flex;
  flex-direction: column;
  gap: 0.25rem;
}

.is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__image-wrap figure {
  height: 100%;
}

.is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__image-wrap img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 16/9;
  transform-origin: center;
  will-change: transform;
}
.is-style-gallery-carousel-mosaic .glide__slide {
  min-height: 100%;
  height: auto;
}
@media screen and (min-width: 980px) {
  .is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__mosaic {
    grid-template-columns: minmax(0, 1fr) minmax(0, 1fr);
    gap: 0.25rem;
  }

  .is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__col--primary,
  .is-style-gallery-carousel-mosaic .mosaic-gallery-carousel__col--secondary {
    min-height: 25rem;
  }

  .is-style-gallery-carousel-mosaic
    .mosaic-gallery-carousel__image-wrap--primary {
    height: 100%;
  }

  .is-style-gallery-carousel-mosaic
    .mosaic-gallery-carousel__image-wrap--secondary {
    flex: 1;
    min-height: 0;
  }
}
@media screen and (max-width: 599px) {
  .wp-block-gallery.has-nested-images.is-style-gallery-carousel-2
    figure.wp-block-image {
    width: 100% !important;
  }
}
